=== debian/changelog ===
tvc (5.0.3+git20151221.80e144e+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Use Python 3 in scripts (Closes: #945720).
  * Add Rules-Requires-Root: no.
  * Update Standards-Version to 4.5.0 (no changes required).
  * Switch to debhelper-compat (= 12).

 -- Stuart Prescott <stuart@debian.org>  Sun, 01 Mar 2020 15:57:45 +1100

tvc (5.0.3+git20151221.80e144e+dfsg-2) unstable; urgency=medium

  [ Logan Rosen ]
  * Enable build with ld --as-needed
    Closes: #916322

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Thu, 13 Dec 2018 08:07:07 +0100

tvc (5.0.3+git20151221.80e144e+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Added notion of lacking entries in research software
    registries in debian/upstream/metadata

  [ Andreas Tille ]
  * Add watch file using Git mode
  * Remove code copy of libsmithwaterman, mention all other files that
    were previously removed in d/copyright
  * Use Debian packaged libsmithwaterman
  * hardening=+all
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Ignore script-with-language-extension as per consensus on Debian Med
    list

 -- Andreas Tille <tille@debian.org>  Thu, 27 Sep 2018 10:09:12 +0200

tvc (5.0.3+dfsg-2) experimental; urgency=medium

  * Team maintenance in Debian Med team
  * cme fix dpkg-control
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2017 11:17:08 +0100

tvc (5.0.3+dfsg-1) experimental; urgency=medium

  * new upstream patch release

 -- Dominique Belhachemi <domibel@debian.org>  Mon, 14 Dec 2015 22:57:35 -0500

tvc (5.0.2+dfsg-1) experimental; urgency=medium

  * new upstream patch release
  * turn off SSE on non-x86_64 architectures

 -- Dominique Belhachemi <domibel@debian.org>  Sat, 17 Oct 2015 22:39:40 -0400

tvc (5.0.0+dfsg-1) experimental; urgency=medium

  * new upstream release
  * patches applied upstream can be removed
       disorder.patch
       outputdir.patch
       sse.patch
       version.patch
  * added dependency libboost-math-dev

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 03 Sep 2015 12:24:49 -0400

tvc (4.6.0+dfsg-2) experimental; urgency=medium

  * build without SSE on all architectures

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 13 Aug 2015 22:40:23 -0400

tvc (4.6.0+dfsg-1) experimental; urgency=low

  * new upstream release
  * added outputdir.patch

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 19 Jul 2015 16:00:24 -0400

tvc (4.4.3+dfsg-1) experimental; urgency=low

  * new upstream release

 -- Dominique Belhachemi <domibel@debian.org>  Fri, 03 Jul 2015 10:36:33 -0400

tvc (4.2.4+dfsg-1) experimental; urgency=low

  * new upstream release
  * disabled version.patch
  * updated cmake.patch to drop unused file

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 02 Jul 2015 07:38:11 -0400

tvc (4.2.3+dfsg-2) experimental; urgency=low

  * fixed FTBFS issue on archs without SSE
  * fixed FTBS issue on hurd

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 30 Jun 2015 07:32:28 -0400

tvc (4.2.3+dfsg-1) experimental; urgency=low

  * Initial release (Closes: #780064)

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 08 Mar 2015 15:30:08 -0400
