=== debian/control ===
Source: tvc
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Dominique Belhachemi <domibel@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               libbamtools-dev,
               libjsoncpp-dev,
               libarmadillo-dev,
               libboost-math-dev,
               libsmithwaterman-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/tvc
Vcs-Git: https://salsa.debian.org/med-team/tvc.git
Homepage: http://ioncommunity.thermofisher.com
Rules-Requires-Root: no

Package: tvc
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python3
Description: genetic variant caller for Ion Torrent sequencing platforms
 Torrent Variant Caller (TVC) is a genetic variant caller for
 Ion Torrent sequencing platforms, and is specially optimized to exploit the
 underlying flow signal information in the statistical model
 to evaluate variants. Torrent Variant Caller is designed to call
 single-nucleotide polymorphisms (SNPs), multi-nucleotide polymorphisms (MNPs),
 insertions, deletions, and block substitutions.
